Subject: Re: [RAM] [Fwd: I-D ACTION:draft-carpenter-idloc-map-cons-01.txt]

From: [email-masked] (Noel Chiappa)
Date: Tue, 3 Jul 2007 10:27:31 -0400 (EDT)

> From: Iljitsch van Beijnum <[email-masked]>

    > We have identifiers in the form of fully qualified domain names.
    > ...
    > Then we have locators in the form of the values found in the
    > destination address field of IP packets. 

The problem is that those "locators" are used in lots of other places, places
where you *don't want* a locator - e.g. TCP pseudo-checksums (for example -
there are lots more).

	Noel

_______________________________________________
RAM mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ram

---

From: Iljitsch van Beijnum <[email-masked]>
Date: Tue, 3 Jul 2007 21:25:54 +0200

> where you *don't want* a locator - e.g. TCP pseudo-checksums (for  

Sure. And the right engineering tradeoff may be to invent something  
that allows all of this to remain unchanged so we can implement the  
stuff that we need to implement more easily / deploy it faster. But  
adopting that as an architectural starting point seems strange.